Module java.desktop
Package java.awt.dnd

# Interface DragGestureListener

All Superinterfaces:
  `EventListener`

public interface DragGestureListener extends EventListener
The listener interface for receiving drag gesture events. This interface is intended for a drag gesture recognition implementation. See a specification for `DragGestureRecognizer` for details on how to register the listener interface. Upon recognition of a drag gesture the `DragGestureRecognizer` calls this interface's `dragGestureRecognized()` method and passes a `DragGestureEvent`.

See Also:
  - `DragGestureRecognizer`
  - `DragGestureEvent`
  - `DragSource`

## Method Summary

Modifier and Type
Method
Description
`void`
`dragGestureRecognized(DragGestureEvent dge)`
This method is invoked by the `DragGestureRecognizer` when the `DragGestureRecognizer` detects a platform-dependent drag initiating gesture.

## Method Details

### dragGestureRecognized

void dragGestureRecognized(DragGestureEvent dge)
This method is invoked by the `DragGestureRecognizer` when the `DragGestureRecognizer` detects a platform-dependent drag initiating gesture. To initiate the drag and drop operation, if appropriate, `startDrag()` method on the `DragGestureEvent` has to be invoked.

Parameters:
  `dge` - the `DragGestureEvent` describing the gesture that has just occurred
See Also:
  - `DragGestureRecognizer`
  - `DragGestureEvent`